# CSErrorCode

    @objc
    public enum CSErrorCode : Int

The `NSError` error codes for `CSError.Domain`.

See also

`CSError`

See also

`CoreStoreError`

- `unknownError`

  A failure occured because of an unknown error.

  #### Declaration

  Swift

      case unknownError

- `differentStorageExistsAtURL`

  The `NSPersistentStore` could note be initialized because another store existed at the specified `NSURL`.

  #### Declaration

  Swift

      case differentStorageExistsAtURL

- `mappingModelNotFound`

  An `NSMappingModel` could not be found for a specific source and destination model versions.

  #### Declaration

  Swift

      case mappingModelNotFound

- `progressiveMigrationRequired`

  Progressive migrations are disabled for a store, but an `NSMappingModel` could not be found for a specific source and destination model versions.

  #### Declaration

  Swift

      case progressiveMigrationRequired

- `internalError`

  An internal SDK call failed with the specified NSError userInfo key.

  #### Declaration

  Swift

      case internalError

- `userError`

  The transaction was terminated by a user-thrown error with the specified Error userInfo key.

  #### Declaration

  Swift

      case userError

- `userCancelled`

  The transaction was cancelled by the user.

  #### Declaration

  Swift

      case userCancelled